SoSFName(3)

NAME
SoSFName - The SoSFName class is a container for an SbName.

SYNOPSIS

#include <Inventor/fields/SoSFName.h>

Inherits SoSField.

  Public Member Functions
virtual SoType getTypeId (void) const
virtual void copyFrom (const SoField &field)
const SoSFName & operator= (const SoSFName &field)
virtual SbBool isSame (const SoField &field) const
const SbName & getValue (void) const
void setValue (const SbName &newvalue)
const SbName & operator= (const SbName &newvalue)
int operator== (const SoSFName &field) const
int operator!= (const SoSFName &field) const
void setValue (const char *const name)
Public Member Functions inherited from SoSField
virtual ~SoSField ()
Public Member Functions inherited from SoField
virtual ~SoField ()
void setIgnored (SbBool ignore)
SbBool isIgnored (void) const
void setDefault (SbBool defaultVal)
SbBool isDefault (void) const
SbBool isOfType (const SoType type) const
void enableConnection (SbBool flag)
SbBool isConnectionEnabled (void) const
SbBool connectFrom (SoEngineOutput *master, SbBool notnotify=FALSE, SbBool append=FALSE)
SbBool appendConnection (SoEngineOutput *master, SbBool notnotify=FALSE)
void disconnect (SoEngineOutput *engineoutput)
SbBool isConnectedFromEngine (void) const
SbBool getConnectedEngine (SoEngineOutput *&master) const
SbBool connectFrom (SoField *master, SbBool notnotify=FALSE, SbBool append=FALSE)
SbBool appendConnection (SoField *master, SbBool notnotify=FALSE)
void disconnect (SoField *field)
SbBool isConnectedFromField (void) const
SbBool getConnectedField (SoField *&master) const
int getNumConnections (void) const
int getForwardConnections (SoFieldList &slavelist) const
int getConnections (SoFieldList &masterlist) const
void disconnect (void)
SbBool isConnected (void) const
void setContainer (SoFieldContainer *cont)
SoFieldContainer * getContainer (void) const
SbBool set (const char *valuestring)
void get (SbString &valuestring)
SbBool shouldWrite (void) const
virtual void touch (void)
virtual void startNotify (void)
virtual void notify (SoNotList *nlist)
SbBool enableNotify (SbBool on)
SbBool isNotifyEnabled (void) const
void addAuditor (void *f, SoNotRec::Type type)
void removeAuditor (void *f, SoNotRec::Type type)
int operator== (const SoField &f) const
int operator!= (const SoField &f) const
virtual void connectionStatusChanged (int numconnections)
SbBool isReadOnly (void) const
virtual void fixCopy (SbBool copyconnections)
virtual SbBool referencesCopy (void) const
void copyConnection (const SoField *fromfield)
virtual SbBool read (SoInput *input, const SbName &name)
virtual void write (SoOutput *out, const SbName &name) const
virtual void countWriteRefs (SoOutput *out) const
void setFieldType (int type)
int getFieldType (void) const
SbBool getDirty (void) const
void setDirty (SbBool dirty)
void evaluate (void) const

  Static Public Member Functions
static void * createInstance (void)
static SoType getClassTypeId (void)
static void initClass (void)
Static Public Member Functions inherited from SoSField
static void initClass (void)
static SoType getClassTypeId (void)
static void atexit_cleanup (void)
Static Public Member Functions inherited from SoField
static void initClass (void)
static void initClasses (void)
static void cleanupClass (void)
static SoType getClassTypeId (void)

  Protected Attributes
SbName value

  Additional Inherited Members
Public Types inherited from SoField
enum FieldType { NORMAL_FIELD = 0, EVENTIN_FIELD, EVENTOUT_FIELD, EXPOSED_FIELD }
Protected Member Functions inherited from SoSField
SoSField (void)
Protected Member Functions inherited from SoField
SoField (void)
void valueChanged (SbBool resetdefault=TRUE)
virtual void evaluateConnection (void) const
virtual SbBool readConnection (SoInput *in)
virtual void writeConnection (SoOutput *out) const
SbBool isDestructing (void) const
virtual SoNotRec createNotRec (SoBase *cont)

Detailed Description

The SoSFName class is a container for an SbName. This field is used where nodes, engines or other field containers need to store a single name string.

Fields of this type stores their value to file as a the name string within quotes.

See also
    SoMFName

Member Function Documentation

  void * SoSFName::createInstance (void ) [static]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Creates a new instance of the class type corresponding to the SoType object.

  SoType SoSFName::getClassTypeId (void ) [static]
This static method returns the SoType object associated with objects of this class.

  SoType SoSFName::getTypeId (void ) const [virtual]
Returns the type identification of an object derived from a class inheriting SoField. This is used for runtime type checking and "downward" casting.

Implements SoField.

  void SoSFName::copyFrom (const SoField & f) [virtual]
Copy value(s) from f into this field. f must be of the same type as this field.

Implements SoField.

  SbBool SoSFName::isSame (const SoField & f) const [virtual]
Check for equal type and value(s).

Implements SoField.

  void SoSFName::initClass (void ) [static]
Internal method called upon initialization of the library (from SoDB::init()) to set up the type system.

  void SoSFName::setValue (const char *const name)
Set value of field.

Author

Generated automatically by Doxygen for Coin from the source code.